URLDataSource

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.protocol
Class URLDataSource

    java.lang.Object
      javax.media.protocol.DataSource
          javax.media.protocol.PullDataSource
              javax.media.protocol.URLDataSource

All Implemented Interfaces:
  Duration, Controls

    public class URLDataSource

extends PullDataSource

Field Summary

Fields inherited from interface javax.media.Duration
`DURATION_UNBOUNDED, DURATION_UNKNOWN`

Constructor Summary
`URLDataSource(URL url)`

Method Summary
`void` | `connect()`
`void` | `disconnect()`
`String` | `getContentType()`
`Object` | `getControl(String controlName)`
`Object[]` | `getControls()`
`Time` | `getDuration()`
`PullSourceStream[]` | `getStreams()`
`void` | `start()`
`void` | `stop()`

Methods inherited from class javax.media.protocol.DataSource
`getLocator, setLocator`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLDataSource

    public URLDataSource(URL url)
                  throws IOException

Throws:
  `IOException`

Method Detail

### getStreams

    public PullSourceStream[] getStreams()

  Specified by:
    `getStreams` in class `PullDataSource`

### connect

    public void connect()
                 throws IOException

  Specified by:
    `connect` in class `DataSource`
  Throws:
    `IOException`

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in class `DataSource`

### disconnect

    public void disconnect()

  Specified by:
    `disconnect` in class `DataSource`

### start

    public void start()
               throws IOException

  Specified by:
    `start` in class `DataSource`
  Throws:
    `IOException`

### stop

    public void stop()
              throws IOException

  Specified by:
    `stop` in class `DataSource`
  Throws:
    `IOException`

### getDuration

    public Time getDuration()

### getControls

    public Object[] getControls()

### getControl

    public Object getControl(String controlName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD